﻿@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Kaushan+Script&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

:root {
    --button: #fff200;
    --hover: #ede8d0;
    --background: #f2f2f2;
    --light_text: #666;
    ---dark_text: #111;
}

.link-1 {
    background-color: #e7e7df;
}

.mobile-link-1 {
    color: blue;
}

/* ========================= Carousel ========================= */
.carousel {
    width: 100%;
    margin: auto;
    /*    margin-top: 5vh;*/
    height: 90vh;
    overflow: hidden;
    position: relative;
    /*    border-radius: 12px;*/
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.1);
    animation: fadeIn 1s ease-in-out;
}

.carousel .track {
    display: flex;
    height: 100%;
}

    .carousel .track img {
        flex: 0 0 100%;
        height: 100%;
        width: 100%;
/*        object-fit: contain;*/
        object-position: center;
    }

.no-gallery {
    height: 70vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background: linear-gradient(135deg, #1B3F2F, #2c5d46)!important;
    color: #C5A059;
    text-align: center;
    font-family: 'Playfair Display', serif;
/*    border-radius: 15px;*/
    animation: fadeIn 1s ease-in-out;
}

    .no-gallery h2 {
        font-size: 2rem;
        margin-bottom: 10px;
    }

    .no-gallery p {
        font-size: 1.1rem;
        opacity: 0.9;
    }

@keyframes fadeIn {
    from {
        opacity: 0;
        transform: translateY(20px);
    }

    to {
        opacity: 1;
        transform: translateY(0);
    }
}

/* ========================= Title/Important Links ========================= */

.title-box {
    width: 95vw;
    /* background-color: aqua; */
    margin: auto;
    margin-top: 3vh;
    display: flex;
    justify-content: space-between;
}

.left-box {
    width: 67%;
    border-radius: 10px;
    padding: 0 4vw;
    background-color: var(--background);
}

    .left-box:hover {
        box-shadow: 0 2px 15px rgba(0, 0, 0, 0.1);
    }

    .left-box h2 {
        text-align: center;
        margin: 2vh 0;
        font-family: Kaushan Script;
        font-size: 40px;
        color: var(---dark_text);
    }

.left-text {
    display: flex;
    flex-direction: column;
    gap: 3vh;
    padding-bottom: 2vh;
    text-align: justify;
}
    
/* ========================= Gallery ========================= */

.gallery-box {
    width: 95vw;
    background-color: var(--background);
    margin: auto;
    margin-top: 3vh;
    border-radius: 10px;
    display: flex;
    flex-direction: column;
    padding-bottom: 3vh;
    box-shadow: 0 2px 15px rgba(0, 0, 0, 0.1);
    position: relative;
}

.social-head {
    text-align: center;
    margin: 2vh 0;
    font-family: Kaushan Script;
    font-size: 40px;
    color: var(---dark_text);
}

.g-img-box {
    display: flex;
    justify-content: start;
    padding: 0 1vw;
    gap: 1.5vw;
}

    .g-img-box > div {
        width: 33%;
        height: 42vh;
        border-radius: 10px;
    }

        /* .relative {
    position: relative;
} */

        .g-img-box > div:hover {
            box-shadow: 0 2px 15px rgba(0, 0, 0, 0.3);
        }

.g-img {
    height: 100%;
    width: 100%;
    border-radius: 10px;
    cursor: pointer;
}

/* .g-img:hover {
    transform: scale(10px);
    transition: transform 0.5s ease;
} */

/* .more {
    display: flex;
    pointer-events: none;
    opacity: 0;
    transform: translateY(100%);
}

.relative:hover>.more {
    display: flex;
    height: 100%;
    width: 100%;
    align-items: center;
    justify-content: end;
    padding-right: 1vw;
    position: absolute;
    top: 0;
    right: 0;
    z-index: 100;
    border: none;
    border-top-right-radius: 10px;
    border-bottom-right-radius: 10px;
    color: var(---dark_text);
    color: white;
    font-size: 20px;
    font-weight: 600;
    background-color: #fff;
    background: linear-gradient(to left, rgba(255, 255, 255, 0.5) 30%, transparent, transparent);
    cursor: pointer;
    opacity: 1;
    pointer-events: auto;
    transform: translateY(0);
    transition: opacity 0.5s ease-in-out;
}

.view-box {
    width: 32%;
    background-color: #e3e3df;
    display: flex;
    align-items: center;
    justify-content: center;
    justify-content: end;
    padding-right: 5vw;
    border: none;
    border-radius: 10px;
}

.view-btn {
    height: 42%;
    width: 27%;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    border: none;
    margin-right: 5vw;
    font-size: 18px;
    background-color: var(--background);
    cursor: pointer;
}

.icon {
    font-size: 18px;
}

.view-btn:hover {
    box-shadow: 0 2px 15px rgba(0, 0, 0, 0.3);
} */

.view {
    position: absolute;
    top: 30px;
    right: 20px;
    color: blue;
    text-decoration: none;
}

    .view:hover {
        text-decoration: underline;
        color: #133fb9;
    }

.mobile-view {
    display: none;
}

.laboratory-box {
    width: 95vw;
    background-color: var(--background);
    margin: auto;
    margin-top: 3vh;
    border-radius: 10px;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 0 0 3vh;
    box-shadow: 0 2px 15px rgba(0, 0, 0, 0.1);
    position: relative;
}

    .laboratory-box > p {
        /* font-family: Kaushan Script; */
        font-family: Poppins;
        font-size: 15px;
    }

.laboratory-card-container {
    display: flex;
    /* justify-content: space-evenly; */
    gap: 15px;
    padding: 0 15px;
}

.laboratory-card-box {
    width: 30%;
    border-radius: 10px;
    overflow: hidden;
    /* background-color: red; */
    border: 1px solid rgba(0, 0, 0, 0.2);
    transition: transform 0.5s ease;
    /* cursor: pointer; */
}

    .laboratory-card-box:hover {
        transform: translateY(-10px);
    }

    .laboratory-card-box img {
        width: 100%;
        height: 40vh;
        cursor: pointer;
    }

.laboratory-details {
    display: flex;
    flex-direction: column;
    padding: 1vh 1vw;
}

    .laboratory-details > h3 {
        font-size: 20px;
        font-weight: 800;
        cursor: text;
        color: var(---dark_text);
    }

    .laboratory-details > p {
        font-size: 15px;
        color: var(--light_text);
        cursor: text;
    }

.sevice_process-container {
    width: 95vw;
    background-color: var(--background);
    margin: auto;
    margin-top: 3vh;
    border-radius: 10px;
    /* display: flex; */
    display: flex;
    /* flex-direction: column; */
    padding: 0 0 3vh;
    box-shadow: 0 2px 15px rgba(0, 0, 0, 0.1);
    /* position: relative; */
    overflow: hidden;
    gap: 10px;
}

.service-continaer {
    width: 50%;
    /* background-color: #133fb9; */
    /* background-color: #fff; */
    display: flex;
    flex-direction: column;
    align-items: center;
}

.service-box {
    display: flex;
    justify-content: space-evenly;
}

.service-card {
    width: 40%;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 7vh 0.5vw;
    background-color: white;
    text-align: center;
    gap: 15px;
    border-radius: 10px;
    cursor: pointer;
    transition: transform 0.5s ease-in-out;
}

    .service-card:hover {
        transform: translateY(-10px);
    }

    .service-card i {
        font-size: 50px;
        color: #333;
    }

    .service-card h3 {
        color: #333;
    }

    .service-card h3,
    .service-card p {
        cursor: text;
    }

/* .process-container {
    width: 50%;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.process-box {
    display: flex;
    justify-content: center;
    gap: 5px;
}

.process-card {
    width: 30%;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    gap: 15px;
}

.card-number {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 5vw;
    height: 11vh;
    border-radius: 50%;
    background-color: #fff;
    font-size: 25px;
    font-weight: 600;
} */

.process-container {
    width: 60%;
    margin: auto;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.process-box {
    width: 100%;
    display: flex;
    justify-content: space-between;
    position: relative;
    margin: 40px 0;
    gap: 15px;
}

    /* Center Line */
    .process-box::before {
        content: "";
        position: absolute;
        top: 25px; /* circle center */
        /* left: 10%; */
        left: 15%;
        right: 15%;
        height: 3px;
        background-color: #1f4ed8;
        /* background-color: #fff; */
        z-index: 0;
    }

.process-card {
    width: 30%;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    position: relative;
    z-index: 1;
}

.card-number {
    width: 50px;
    height: 50px;
    border-radius: 50%;
    background-color: #1f4ed8;
    /* background-color: #fff;
    color: black; */
    color: white;
    display: flex;
    justify-content: center;
    align-items: center;
    font-weight: bold;
}

.map-container {
    width: 95vw;
    margin: auto;
    margin-top: 3vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: var(--background);
    overflow: hidden;
    border-radius: 10px;
}

.map-card {
    width: 100%;
    height: 450px;
    /* border: 1px solid black;
    border-radius: 10px; */
    /* margin-bottom: 3vh; */
}

/* ========================= Mobile Screen (Rotate) ========================= */

@media (max-width: 940px) {
    /* ========================= Carousel ========================= */

    .carousel {
        height: 90vh;
    }

    /* ========================= Title/Important Links ========================= */

    .title-box {
        flex-direction: column;
        gap: 7vh;
    }

    .left-box {
        width: 100%;
        padding: 0 5vw;
    }

    .left-text {
        gap: 4vh;
        padding-bottom: 5vh;
    }
}

/* ========================= Mobile Screen ========================= */

@media (max-width: 768px) {
    /* ========================= Carousel ========================= */

    .carousel {
        height: 60vh;
    }

    /* ========================= Title/Important Links ========================= */

    .title-box {
        gap: 2vh;
    }

    .left-box {
        padding: 0 5vw;
    }

    .left-text {
        gap: 2vh;
        padding-bottom: 2vh;
    }
    /* ========================= Gallery ========================= */

    .gallery-box {
        padding-bottom: 0;
    }

    .g-img-box {
        flex-direction: column;
        padding: 0 3vw;
        gap: 3vw;
    }

        .g-img-box > div {
            width: 100%;
            height: auto;
        }

    .view {
        display: none;
    }

    .mobile-view {
        display: flex;
        position: absolute;
        top: 30px;
        right: 20px;
        font-size: 30px;
        color: #133fb9;
        text-decoration: none;
    }

    .laboratory-card-container {
        flex-direction: column;
    }

    .laboratory-card-box {
        width: 100%;
    }

        .laboratory-card-box img {
            height: 30vh;
        }

    .sevice_process-container {
        flex-direction: column;
    }

    .service-continaer {
        width: 100%;
        /* flex-direction: column; */
    }

    .service-card {
        padding: 3vh 0.5vw;
    }

    .process-container {
        width: 100%;
    }
}